<!--Warning : keyValues is mandatory for this demonstration -->

<!DOCTYPE html>
<html>

<head>
  <title>Demonstration FIWARE contextBroker</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
  <meta charset="utf-8">
  <style>
    #map {
      height: 100%;
    }


    html,
    body {
      height: 100%;
      margin: 0;
      padding: 0;
    }

    .gm-style-iw {
      height: 100px;
      width: 600px;
    }
  </style>
  <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.2.4.min.js"></script>
</head>

<body>
  <div id="map"></div>
  <script>

    var cburl = "http://fiware-host:1026/v2/entities" + window.location.search;
    $(function () {
      $.ajax({
        cache: false,
        type: "GET",
        url: cburl,
        data: {},
        success: function (data) {
          data.forEach(elem => {      
            var list = [];
            
            elem.location.forEach(coordinate => {
              console.log(coordinate);
              var latlong = coordinate.split(',');
              list.push(new google.maps.LatLng(latlong[0], latlong[1]));
            });
          
            var flightPath = new google.maps.Polyline({
              path: list,
              geodesic: true,
              strokeColor: '#FF0000',
              strokeOpacity: 1.0,
              strokeWeight: 2
            });
            flightPath.setMap(map);
          });
        },
        error: function (xhr, ajaxOptions, thrownError) {
          console.log('Failed to retrieve context data.');
        }
      });
    });


    var map;

    function initMap() {
      map = new google.maps.Map(document.getElementById('map'), {
        center: new google.maps.LatLng(0, 0),
        zoom: 2,
        mapTypeId: 'hybrid',
      });
    }
  </script>
  <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCDWZY5hWtpdvGMBqxAl1YCdybvTe3Ke4Y&callback=initMap">
  </script>
</body>

</html>